net.sf.jasperreports.charts.util

## Class MultiAxisChartHyperlinkProvider

- java.lang.Object
- - net.sf.jasperreports.charts.util.MultiAxisChartHyperlinkProvider

- All Implemented Interfaces:
    java.io.Serializable, ChartHyperlinkProvider

      public class MultiAxisChartHyperlinkProvider
      extends java.lang.Object
      implements ChartHyperlinkProvider

  A chart item hyperlink provider used for multiple axis charts. A separate hyperlink provider can be set for each axis/dataset in the multi chart. This provider then resolves the provider for each chart entity and delegates the hyperlink retrieval to it.
  Version:
    $Id: MultiAxisChartHyperlinkProvider.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiAxisChartHyperlinkProvider()` Creates a multiple axis chart hyperlink provider.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addHyperlinkProvider(org.jfree.data.general.Dataset dataset, ChartHyperlinkProvider provider)` Registers a hyperlink provider for a specific dataset.
    `protected org.jfree.data.general.Dataset` | `getEntityDataset(org.jfree.chart.entity.ChartEntity entity)`
    `JRPrintHyperlink` | `getEntityHyperlink(org.jfree.chart.entity.ChartEntity entity)` Determines the provider for the chart entity based on its dataset, and delegates the call to it.
    `boolean` | `hasHyperlinks()` Returns `true` if any of the registered providers has hyperlinks.
    `protected ChartHyperlinkProvider` | `resolveEntityProvider(org.jfree.chart.entity.ChartEntity entity)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MultiAxisChartHyperlinkProvider

          public MultiAxisChartHyperlinkProvider()

      Creates a multiple axis chart hyperlink provider.

  - ### Method Detail

    - #### addHyperlinkProvider

          public void addHyperlinkProvider(org.jfree.data.general.Dataset dataset,
                                  ChartHyperlinkProvider provider)

      Registers a hyperlink provider for a specific dataset. The dataset will be used to determine a provider for a chart entity.
      Parameters:
        `dataset` - the dataset
        `provider` - the hyperlink provider

    - #### hasHyperlinks

          public boolean hasHyperlinks()

      Returns `true` if any of the registered providers has hyperlinks.
      Specified by:
        `hasHyperlinks` in interface `ChartHyperlinkProvider`

    - #### getEntityHyperlink

          public JRPrintHyperlink getEntityHyperlink(org.jfree.chart.entity.ChartEntity entity)

      Determines the provider for the chart entity based on its dataset, and delegates the call to it.
      Specified by:
        `getEntityHyperlink` in interface `ChartHyperlinkProvider`

    - #### resolveEntityProvider

          protected ChartHyperlinkProvider resolveEntityProvider(org.jfree.chart.entity.ChartEntity entity)

    - #### getEntityDataset

          protected org.jfree.data.general.Dataset getEntityDataset(org.jfree.chart.entity.ChartEntity entity)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com